package com.dsk.web.schedule;

import com.dsk.system.service.ISysPushService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 * 推送相关定时任务
 *
 * @Author lcl
 * @Data 2023/12/21 17:05
 */
@Component
@RequiredArgsConstructor
@Slf4j
public class PushTask {

    @Autowired
    private ISysPushService pushService;

    /**
     * 供应商不良推送(每分钟)
     */
    @Scheduled(cron = "0 * * * * ? ")
    public void customerBadness(){
        //1.是否推送时间段（日期、时间）
        //2.推送数据（当前时段是否存在数据）
        //3.推送人员
    }
}
